# Generated from formic-0.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name formic

Name: rubygem-%{gem_name}
Version: 0.2.5
Release: 1%{?dist}
Summary: formic is a html markup generator
License: MIT
URL: http://github.com/vinhtiensinh/formic
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
use formic to generate markup from sematic syntax. formic DRY your template
and make it readable. It also seperate the sematic of the content from the
actual markup, make it possible to render multiple view for the same content.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/VERSION
%{gem_instdir}/javascripts
%{gem_libdir}
%{gem_instdir}/stylesheets
%{gem_instdir}/views
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/formic.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.5-1
- Initial package
